toolzerhub API Docs

Get community

Get a community's name, description, member and moderator counts, join policy, rules, creator, and admin. An unknown ID returns data: null.

1 credit / requestBilled only on success
GET
/v1/x/community

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

community_id*string

Numeric community ID from the community's x.com/i/communities URL.

Match^\d{1,25}$
curl -X GET "https://example.com/v1/x/community?community_id=1493446837214187523" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "1493446837214187523",    "name": "Build in Public",    "description": "Share what you're working on. Get feedback. Help each other move forward. – Sponsored by bolt.new ⚡",    "join_question": "What are you working on?",    "member_count": 268958,    "moderator_count": 6,    "created_at": "2022-02-15T04:47:27.000Z",    "join_policy": "Open",    "invites_policy": "MemberInvitesAllowed",    "is_nsfw": false,    "primary_topic": {      "id": "603",      "name": "Entrepreneurship"    },    "banner_url": "https://pbs.twimg.com/community_banner_img/1915033378811772928/KdaKUaRP?format=png&name=orig",    "rules": [      {        "id": "1493447542045958144",        "name": "Share what you're working on",        "description": "Don't be scared to share unfinished work"      },      {        "id": "1493448150169755648",        "name": "Screenshots, screencasts, drafts, etc",        "description": "Visual tweets tend to grab people's attention"      },      {        "id": "1836095088465781029",        "name": "No self-promotion",        "description": "Don't ask for upvotes or advertise your products/services."      },      {        "id": "1836095194716066104",        "name": "Stay on-topic",        "description": "Only post about building in public. No politics or other off-topic posts. There are other communities for that."      },      {        "id": "1836095002557944207",        "name": "No engagement farming",        "description": "If your goal is to get replies, likes, etc, don’t post it here. Don’t ask super generic questions like “what’s everyone working on?”"      },      {        "id": "1836094745590059481",        "name": "Use a personal account",        "description": "No company accounts. No logos. Use your own name. No promotion or URLs in your name."      }    ],    "creator": {      "id": "641633",      "handle": "marckohlbrugge",      "name": "Marc Köhlbrugge",      "description": "🚧 https://t.co/aMZ4K3azU0 🏠 https://t.co/1KH3Ex4L2r 🤑 https://t.co/z2G662Uvhl 👀 https://t.co/LtA0MMRVNA 🚀 https://t.co/sxmNUGTYQv 📣 https://t.co/oPODwYE4Iq 💻 https://t.co/leziY51tRd 📸 https://t.co/NJnFBXCSCj #️⃣ https://t.co/6qUnpK7VH5",      "location": null,      "website": "https://t.co/QVn818Sinw",      "avatar_url": "https://pbs.twimg.com/profile_images/1857124042433572864/iMivVaYP_normal.jpg",      "banner_url": "https://pbs.twimg.com/profile_banners/641633/1781378883",      "followers_count": 89305,      "following_count": 974,      "posts_count": 50145,      "media_count": 4896,      "likes_count": 37852,      "is_verified": false,      "is_blue_verified": true,      "verified_type": null,      "protected": false,      "created_at": "2007-01-15T23:55:33.000Z",      "pinned_post_ids": null,      "is_automated": null    },    "admin": {      "id": "641633",      "handle": "marckohlbrugge",      "name": "Marc Köhlbrugge",      "description": "🚧 https://t.co/aMZ4K3azU0 🏠 https://t.co/1KH3Ex4L2r 🤑 https://t.co/z2G662Uvhl 👀 https://t.co/LtA0MMRVNA 🚀 https://t.co/sxmNUGTYQv 📣 https://t.co/oPODwYE4Iq 💻 https://t.co/leziY51tRd 📸 https://t.co/NJnFBXCSCj #️⃣ https://t.co/6qUnpK7VH5",      "location": null,      "website": "https://t.co/QVn818Sinw",      "avatar_url": "https://pbs.twimg.com/profile_images/1857124042433572864/iMivVaYP_normal.jpg",      "banner_url": "https://pbs.twimg.com/profile_banners/641633/1781378883",      "followers_count": 89305,      "following_count": 974,      "posts_count": 50145,      "media_count": 4896,      "likes_count": 37852,      "is_verified": false,      "is_blue_verified": true,      "verified_type": null,      "protected": false,      "created_at": "2007-01-15T23:55:33.000Z",      "pinned_post_ids": null,      "is_automated": null    }  }}